Loading...
Searching...
No Matches
gtsam::traits< StereoPoint2 > Struct Reference
Inheritance diagram for gtsam::traits< StereoPoint2 >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< StereoPoint2 >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< StereoPoint2 >))
Public Member Functions inherited from gtsam::internal::VectorSpaceTraits< StereoPoint2 >
| BOOST_CONCEPT_ASSERT ((HasVectorSpacePrereqs< StereoPoint2 >))
Static Public Member Functions inherited from gtsam::Testable< StereoPoint2 >
static void | Print (const StereoPoint2 &m, const std::string &str="")
static bool | Equals (const StereoPoint2 &m1, const StereoPoint2 &m2, double tol=1e-8)
static StereoPoint2 | Identity ()
Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< StereoPoint2, StereoPoint2::dimension >
static TangentVector | Logmap (const StereoPoint2 &m, ChartJacobian Hm=boost::none)
static StereoPoint2 | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static StereoPoint2 | Compose (const StereoPoint2 &v1, const StereoPoint2 &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static StereoPoint2 | Between (const StereoPoint2 &v1, const StereoPoint2 &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static StereoPoint2 | Inverse (const StereoPoint2 &v, ChartJacobian H=boost::none)
static int | GetDimension (const StereoPoint2 &)
static TangentVector | Local (const StereoPoint2 &origin, const StereoPoint2 &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static StereoPoint2 | Retract (const StereoPoint2 &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
Public Types inherited from gtsam::internal::VectorSpaceTraits< StereoPoint2 >
typedef vector_space_tag | structure_category
enum |
typedef StereoPoint2 | ManifoldType
typedef additive_group_tag | group_flavor
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/StereoPoint2.h